#include "StdAfx.h"
#include "resource.h"
#include "MainWindow.h"
#include "misc.h"

MainWindow::MainWindow(void)
	: m_aboutDlg( NULL )
{
	m_lpszClass = _T("MainWindow");
	m_hAccelTable = LoadAccelerators(hInst, MAKEINTRESOURCE(IDC_GENERALW));
	m_idMenu = IDC_GENERALW;
	m_idIcon = IDI_GENERALW;
}

MainWindow::~MainWindow(void)
{
	UnregisterClass( szTitle, hInst );
}

INT_PTR CALLBACK MainWindow::WndProc( UINT message, WPARAM wParam, LPARAM lParam )
{
	int wmId, wmEvent;
	PAINTSTRUCT ps;
	HDC hdc;

	switch (message)
	{
	case WM_COMMAND:
		wmId	= LOWORD(wParam);
		wmEvent = HIWORD(wParam);
		// Iꂽj[̉:

		switch (wmId)
		{
		case IDM_ABOUT:
			if ( m_aboutDlg ) {
				m_aboutDlg->SetFocus();
			}
			else {
				m_aboutDlg = new AboutDlg(IDD_ABOUTBOX);
				m_aboutDlg->DoModal(m_hWnd);
				delete m_aboutDlg;
				m_aboutDlg = NULL;
			}
			break;

		case IDM_EXIT:
			DestroyWindow(m_hWnd);
			break;

		default:
			return DefWindowProc(m_hWnd, message, wParam, lParam);
		}
		break;

	case WM_PAINT:
		hdc = BeginPaint(m_hWnd, &ps);
		// TODO: `R[hɒǉĂ...
		EndPaint(m_hWnd, &ps);
		break;

	case WM_DESTROY:
		PostQuitMessage(0);
		break;

	default:
		return DefWindowProc(m_hWnd, message, wParam, lParam);
	}
	return 0;
}

